Skip to content

Start Execution

POST
/api/v1/executions

Start a new pipeline execution.

Args: request: Execution start request service: Execution service (injected)

Returns: Created execution record

Raises: HTTPException: 400 if config not found, 500 for server errors

ExecutionStartRequest

Request to start a new pipeline execution.

Server generates execution_id (UUID v7) which is used for storage paths.

object
config_id
required
Config Id

ID of the pipeline configuration to run

string format: uuid
metadata
Any of:
object
key
additional properties
any
tag
Any of:
string

Successful Response

ExecutionResponse

Pipeline execution response.

Storage paths use execution id (UUID v7) directly.

object
id
required
Id

Execution UUID (used for storage paths)

string format: uuid
config_id
required
Config Id

Configuration ID

string format: uuid
status
required
Status

Current status

string
Allowed values: running completed failed cancelled interrupted
started_at
required
Started At

Start timestamp

string format: date-time
completed_at
Any of:
string format: date-time
parent_execution_id
Any of:
string format: uuid
replay_source
Any of:
string
Allowed values: storage lineage manual
tag
Any of:
string

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object